package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.ExternalMemberLogDTO;
import com.gic.haoban.manage.service.entity.TabExternalMemberLog;

public interface ExternalMemberService {

    public int updateStatus(String enterpriseId, long id, int statusFlag);

    public int insert(ExternalMemberLogDTO log);

    public TabExternalMemberLog selectRelationKey(String enterpriseId, String relationKey);

    public void welcomeForMember();

    public void updateMemberGrowth(String enterpriseId , String memberId , String ruleCode , String title , String remark) ;

 }
